<?php
if (!class_exists('CommunityAllyGroupDisplay')) {
	class CommunityAllyGroupDisplay {
		public static function add_shortcodes() {
			add_shortcode('communityally_group', array(__CLASS__, 'shortcode_communityally_group'));
		}

		public static function shortcode_communityally_group ($atts) {
			extract( shortcode_atts( array(
				'group_id' => '',
			), $atts, 'communityally_group' ) );

			$user_id = get_current_user_id();
			if ( ! communityally_user_can_access_group($user_id, $group_id) ) {
				return '';
			}
			$group = groups_get_group($group_id);
			if (empty($group)) {
				return '';
			}
			$bp = BuddyPress::instance(
				array(
					'current_component' => 'groups',
					'current_action' => 'home',
					'is_single_item' => true
				)
				);

			ob_start();
			bp_get_template_part('groups/single/parts/cal-groups-as-shortcode', null,
				array(
					'group_id' => $group_id,
					'group' => $group,
					'referrer-attr' => self::generate_ajax_referrer_attr($group),
				));
			$code = ob_get_clean();

			$bp->restore_original_value();

			return $code;
		}
		public static function generate_ajax_referrer_attr($group) {
			$permalink = trailingslashit('/' . bp_get_groups_root_slug() . '/' . bp_get_group_slug($group));
			$nonce = wp_create_nonce('communityally-referrer-' . $permalink);
			return 'communityally-referrer="' . esc_attr($permalink) . '|' . $nonce . '"';
		}
	}
}
