<?php
/**
 * BuddyPress - Groups Cover Image Header.
 *
 * @since 3.0.0
 * @version 7.0.0
 *
 * CommunityAlly Phase 1 Change, removed template part, header-item-actions.php as group admin/mods are not shown in phase 1
 */
$group_id = bp_get_current_group_id();
$group_has_cover_image = bp_attachments_get_group_has_cover_image($group_id);
$group_cover_image_url = '';
if ($group_has_cover_image) {
	$group_cover_image_url = bp_attachments_get_attachment( 'url', array(
		'object_dir' => 'groups',
		'item_id'    => $group_id,
	) );
}
?>

<div id="cover-image-container" class="communityally-header-image">
	<div id="header-cover-image" <?php echo $group_has_cover_image ? '' : 'class="communityally-default-header"'; ?> >
		<h1 class="communityally-group-header-image-name">
			<?php bp_group_name() ?>
		</h1>
		<img class="communityally-header-cover-image" src="<?php echo empty($group_cover_image_url) ? '' : esc_attr($group_cover_image_url); ?>" />
	</div>
	<div id="item-header-cover-image">

		<?php if ( true /*! bp_disable_group_avatar_uploads() */ ) : ?>
			<div id="item-header-avatar">
				<?php bp_group_avatar(); ?>
			</div><!-- #item-header-avatar -->
		<?php endif; ?>

		<?php if ( false && ! bp_nouveau_groups_front_page_description() ) : // do not show description ?>
			<div id="item-header-content">

				<?php if ( bp_nouveau_group_has_meta( 'status' ) ) : ?>
					<p class="highlight group-status"><strong><?php echo esc_html( bp_nouveau_the_group_meta( array( 'keys' => 'status' ) ) ); ?></strong></p>
				<?php endif; ?>

				<p class="activity">
					<?php
						printf(
							// translators: %s: last activity timestamp (e.g. "Active 1 hour ago")
							esc_html__( 'Active %s', 'buddypress' ),
							sprintf(
								'<span data-livestamp="%1$s">%2$s</span>',
								bp_core_get_iso8601_date( bp_get_group_last_active( 0, array( 'relative' => false ) ) ),
								esc_html( bp_get_group_last_active() )
							)
						);
					?>
				</p>

				<?php
				bp_group_type_list(
					bp_get_group_id(),
					array(
						'label'        => array(
							'plural'   => __( 'Group Types', 'buddypress' ),
							'singular' => __( 'Group Type', 'buddypress' ),
						),
						'list_element' => 'span',
					)
				);
				?>

				<?php bp_nouveau_group_hook( 'before', 'header_meta' ); ?>

				<?php if ( bp_nouveau_group_has_meta_extra() ) : ?>
					<div class="item-meta">

						<?php echo bp_nouveau_the_group_meta( array( 'keys' => 'extra' ) ); ?>

					</div><!-- .item-meta -->
				<?php endif; ?>

				<?php bp_nouveau_group_header_buttons(); ?>

			</div><!-- #item-header-content -->
		<?php endif; ?>

	</div><!-- #item-header-cover-image -->
</div><!-- #cover-image-container -->

<div class="communityally-group-header-content">
	<h1 class="communityally-group-name"><?php bp_group_name() ?></h1>

	<?php if ( ! bp_nouveau_groups_front_page_description() && bp_nouveau_group_has_meta( 'description' ) ) : ?>
		<div class="communityally-group-description">
			<?php bp_group_description(); ?>
		</div><!-- //.group_description -->
	<?php endif; ?>
</div>
