<?php
/**
 * CommunityAlly group as short code insert
 * @since communityally 1.1.0
 * @param $args is an array passed from shortcode_communityally_group()
 * 	$args = array (
 * 		'group' => Group object,
 * 		'group_id' => Int,
 * 		)
 */
$group_id = $args['group_id'];
$group = $args['group'];

$activity_loop_atts = array();
$activity_loop_atts['primary_id'] = $group_id;
$activity_loop_atts['object'] = 'groups';
$activity_loop_atts['show_hidden'] = 1;
$activity_loop_atts['excluded_types'] = array('joined_group');

$user_displayname = bp_get_loggedin_user_fullname();
$placeholder_text = communityally_current_group_is_child_group($group) ? __('Leave a reply!', 'communityally') : __("What's new, %s?", 'buddypress');
$placeholder_text = sprintf($placeholder_text, bp_get_user_firstname($user_displayname));
?>

<div data-bp-list="activity" communityally-group-id="<?php echo $args['group_id']; ?>" class="communityally-shortcode-element communityally-shortcode-activity-stream buddypress-wrap">
<h3 class="communityally-activity-shortcode-title"><?php bp_group_name($args['group']) ?></h3>
<div class="communityally-activity-shortcode-description"><?php bp_group_description($args['group']) ?></div>

<div communityally-wait-overlay="<?php echo $args['group_id']; ?>">
	<div class="communityally-wait-animation">
		<div class="communityally-wait-circle"></div>
	</div>
</div>

<div class="communityally-activity-form activity-update-form">
	<form method="post" class="activity-form communityally-shortcode-new-activity">
		<div class="whats-new-header communityally-activity-form-header">
			<div class="communityally-activity-form-meta">
				<div class="communityally-avatar-thumb-size">
					<?php bp_loggedin_user_avatar( array( 'type' => 'comment_thumb' ) ); ?>
				</div>
			</div>
			<div class="whats-new-content">
				<div class="whats-new-textarea">
					<textarea class="ac-input bp-suggestions communityally-autogrow-textarea" data-suggestions-group-id="<?php echo $args['group_id']; ?>"
							  name="content" placeholder="<?php echo esc_attr($placeholder_text); ?>"></textarea>
				</div>
			</div>
		</div>
		<div id="communityally-activity-add-image-attachment-new-<?php echo $group_id; ?>-container"
			 class="whats-new-attachments communityally-activity-attachments"></div>
		<div id="communityally-activity-add-file-attachment-new-<?php echo $group_id; ?>-container"
			 class="whats-new-file-attachments communityally-activity-file-attachments"></div>
		<div class="communityally-activity-new-form-options">
			<div class="communityally-activity-edit-control">
				<input type="hidden" name="group-id" value="<?php echo $group_id; ?>" />
				<div class="communityally-activity-add-image-button communityally-activity-add-image-attachment-trigger"
					 id="communityally-activity-add-image-attachment-new-<?php echo $group_id; ?>"></div>
				<div class="communityally-activity-add-file-button communityally-activity-add-file-attachment-trigger"
					 id="communityally-activity-add-file-attachment-new-<?php echo $group_id; ?>"></div>
			</div>
			<div class="whats-new-submit">
				<?php
				printf(
					'<input type="reset" class="text-button communityally-activity-reset-button" value="%s" />',
					esc_html( _x( 'Cancel', 'button', 'buddypress' ) )
				);
				?>
				<input type="hidden" class="communityally-activity-submit-nonce" name="nonce" value="<?php echo esc_attr(wp_create_nonce('post_update')); ?>" />
				<input type="submit" class="button communityally-button communityally-activity-submit-button" name="aw-whats-new-submit"
					   value="<?php echo esc_html__('Post Update', 'communityally'); ?>" />
			</div>
		</div>
	</form>
</div>

<ul class="activity-list item-list bp-list communityally-group-pinned-activity-list-<?php echo $group_id; ?>">
	<?php
	$activity_loop_atts['pinned'] = 'only-pinned';
	$pinned_activity_content = communityally_activity_template_loader('activity', '', '', array('r' => $activity_loop_atts));
	if (!empty($pinned_activity_content) && !empty($pinned_activity_content['contents'])) {
		echo $pinned_activity_content['contents'];
	}
	?>
</ul>

<ul class="activity-list item-list bp-list communityally-group-activity-list-<?php echo $group_id; ?>">
	<?php
	$activity_loop_atts['pinned'] = 'exclude-pinned';
	$activity_content = communityally_activity_template_loader('activity', '', '', array(
		'r' => $activity_loop_atts,
		'group_id' => $group_id,
		'referrer-attr' => $args['referrer-attr'],
		));
	if (!empty($activity_content) && !empty($activity_content['contents'])) {
		echo $activity_content['contents'];
	}
	?>
</ul>
</div>
